commit:     7b3f6a79b4ced0727ab754c0414905a292dec6cb
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 14 20:38:47 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Fri Oct 14 22:31:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b3f6a79

games-rpg/adonthell: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 games-rpg/adonthell/adonthell-0.3.5-r2.ebuild      | 71 ++++++++++++++++++++++
 .../files/adonthell-0.3.5-configure.in.patch       |  4 +-
 .../adonthell/files/adonthell-0.3.5-format.patch   |  4 +-
 .../adonthell/files/adonthell-0.3.5-gcc46.patch    |  4 +-
 4 files changed, 77 insertions(+), 6 deletions(-)

diff --git a/games-rpg/adonthell/adonthell-0.3.5-r2.ebuild 
b/games-rpg/adonthell/adonthell-0.3.5-r2.ebuild
new file mode 100644
index 00000000..885ae8f
--- /dev/null
+++ b/games-rpg/adonthell/adonthell-0.3.5-r2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils python-single-r1
+
+DESCRIPTION="roleplaying game engine"
+HOMEPAGE="http://adonthell.linuxgames.com/";
+SRC_URI="https://savannah.nongnu.org/download/${PN}/${PN}-src-${PV}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc nls"
+
+RDEPEND="${PYTHON_DEPS}
+       media-libs/freetype
+       media-libs/libogg
+       media-libs/libsdl:0[X,video,sound]
+       media-libs/libvorbis
+       media-libs/sdl-mixer[vorbis]
+       media-libs/sdl-ttf
+       sys-libs/zlib
+       nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+       dev-lang/swig
+       doc? (
+               app-doc/doxygen
+               media-gfx/graphviz
+       )
+       nls? ( sys-devel/gettext )"
+
+S=${WORKDIR}/${PN}-${PV/a/}
+
+PATCHES=(
+               "${FILESDIR}"/${P}-configure.in.patch
+               "${FILESDIR}"/${P}-format.patch
+               "${FILESDIR}"/${P}-gcc46.patch
+               "${FILESDIR}"/${P}-glibc-2.10.patch
+)
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e "/AC_PATH_PROGS/s:python:${EPYTHON}:" \
+               configure.in || die "sed failed"
+       rm -f ac{local,include}.m4
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-dependency-tracking \
+               --disable-py-debug \
+               $(use_enable nls) \
+               $(use_enable doc)
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       keepdir /usr/share/${PN}/games
+       dodoc AUTHORS ChangeLog FULLSCREEN.howto NEWBIE NEWS README
+}

diff --git a/games-rpg/adonthell/files/adonthell-0.3.5-configure.in.patch 
b/games-rpg/adonthell/files/adonthell-0.3.5-configure.in.patch
index 903bd9a..8aaad58 100644
--- a/games-rpg/adonthell/files/adonthell-0.3.5-configure.in.patch
+++ b/games-rpg/adonthell/files/adonthell-0.3.5-configure.in.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
 @@ -13,7 +13,7 @@
  AM_INIT_AUTOMAKE([])
  AM_CONFIG_HEADER(config.h)

diff --git a/games-rpg/adonthell/files/adonthell-0.3.5-format.patch 
b/games-rpg/adonthell/files/adonthell-0.3.5-format.patch
index f66cc50..fa85d78 100644
--- a/games-rpg/adonthell/files/adonthell-0.3.5-format.patch
+++ b/games-rpg/adonthell/files/adonthell-0.3.5-format.patch
@@ -1,5 +1,5 @@
---- src/py_adonthell_wrap.cc.old       2014-10-20 14:21:57.495642785 +0200
-+++ src/py_adonthell_wrap.cc   2014-10-20 14:22:35.019293237 +0200
+--- a/src/py_adonthell_wrap.cc 2014-10-20 14:21:57.495642785 +0200
++++ b/src/py_adonthell_wrap.cc 2014-10-20 14:22:35.019293237 +0200
 @@ -867,7 +867,7 @@
      Py_DECREF(old_str);
      Py_DECREF(value);

diff --git a/games-rpg/adonthell/files/adonthell-0.3.5-gcc46.patch 
b/games-rpg/adonthell/files/adonthell-0.3.5-gcc46.patch
index f4d07e8..7e54ec5 100644
--- a/games-rpg/adonthell/files/adonthell-0.3.5-gcc46.patch
+++ b/games-rpg/adonthell/files/adonthell-0.3.5-gcc46.patch
@@ -1,5 +1,5 @@
---- src/win_event.cc.old       2011-04-18 08:24:16.000000000 +0200
-+++ src/win_event.cc   2011-04-18 08:25:18.000000000 +0200
+--- a/src/win_event.cc 2011-04-18 08:24:16.000000000 +0200
++++ b/src/win_event.cc 2011-04-18 08:25:18.000000000 +0200
 @@ -34,8 +34,9 @@
        
            case DESTROY:

Reply via email to